diff --git a/src/main/java/net/minecraft/client/gui/hud/component/HotbarComponent.java b/src/main/java/net/minecraft/client/gui/hud/component/HotbarComponent.java
index 435aeaabf..1d01f23ce 100644
--- a/src/main/java/net/minecraft/client/gui/hud/component/HotbarComponent.java
+++ b/src/main/java/net/minecraft/client/gui/hud/component/HotbarComponent.java
@@ -67,9 +67,8 @@ public class HotbarComponent
 
         // Render hotbar switcher and dots
         int selectedHotbar = ((inv.getHotbarOffset() + 27) % 36) / 9;
-        IconCoordinate coordinate = TextureRegistry.getTexture("minecraft:gui/hud/hotbar_selector");
-        hud.drawIconTexture(x, y, x + 6, y + 22, 0, 0, 6, 22, coordinate);
-        hud.drawIconTexture(x, y + selectedHotbar * 5, x + 6, y + selectedHotbar * 5 + 5, 6, selectedHotbar * 5, 12, selectedHotbar * 5 + 5, coordinate);
+        IconCoordinate coordinate = TextureRegistry.getTexture("minecraft:gui/hud/hotbar_selector" + selectedHotbar);
+        hud.drawGuiIcon(x, y, 6, 22, coordinate);
 
         // Setup items
         GL11.glEnable(GL11.GL_DEPTH_TEST);
diff --git a/src/main/java/net/minecraft/client/gui/options/components/SearchFieldComponent.java b/src/main/java/net/minecraft/client/gui/options/components/SearchFieldComponent.java
index 081d24638..741c45317 100644
--- a/src/main/java/net/minecraft/client/gui/options/components/SearchFieldComponent.java
+++ b/src/main/java/net/minecraft/client/gui/options/components/SearchFieldComponent.java
@@ -33,7 +33,8 @@ public class SearchFieldComponent
         textField.setMaxStringLength(20);
         textField.setTextChangeListener(this);
         editor = new TextFieldEditor(textField);
-        clearButton = new ButtonElement(0, 0, 0, 12, 20, "X");
+        clearButton = new ButtonElement(0, 0, 0, 12, 20, "X")
+            .setTextures("minecraft:gui/screen/options/clear", "minecraft:gui/screen/options/clear_highlighted", null);
     }
 
     @Override
diff --git a/src/main/resources/assets/minecraft/textures/gui/sprites/hud/hotbar_selector0.png b/src/main/resources/assets/minecraft/textures/gui/sprites/hud/hotbar_selector0.png
new file mode 100644
index 000000000..87aa4a20a
Binary files /dev/null and b/src/main/resources/assets/minecraft/textures/gui/sprites/hud/hotbar_selector0.png differ
diff --git a/src/main/resources/assets/minecraft/textures/gui/sprites/hud/hotbar_selector1.png b/src/main/resources/assets/minecraft/textures/gui/sprites/hud/hotbar_selector1.png
new file mode 100644
index 000000000..5c3b4b6b6
Binary files /dev/null and b/src/main/resources/assets/minecraft/textures/gui/sprites/hud/hotbar_selector1.png differ
diff --git a/src/main/resources/assets/minecraft/textures/gui/sprites/hud/hotbar_selector2.png b/src/main/resources/assets/minecraft/textures/gui/sprites/hud/hotbar_selector2.png
new file mode 100644
index 000000000..6f1161215
Binary files /dev/null and b/src/main/resources/assets/minecraft/textures/gui/sprites/hud/hotbar_selector2.png differ
diff --git a/src/main/resources/assets/minecraft/textures/gui/sprites/hud/hotbar_selector3.png b/src/main/resources/assets/minecraft/textures/gui/sprites/hud/hotbar_selector3.png
new file mode 100644
index 000000000..efeef1d97
Binary files /dev/null and b/src/main/resources/assets/minecraft/textures/gui/sprites/hud/hotbar_selector3.png differ
diff --git a/src/main/resources/assets/minecraft/textures/gui/sprites/screen/options/clear.png b/src/main/resources/assets/minecraft/textures/gui/sprites/screen/options/clear.png
new file mode 100644
index 000000000..10f7b5426
Binary files /dev/null and b/src/main/resources/assets/minecraft/textures/gui/sprites/screen/options/clear.png differ
diff --git a/src/main/resources/assets/minecraft/textures/gui/sprites/screen/options/clear_highlighted.png b/src/main/resources/assets/minecraft/textures/gui/sprites/screen/options/clear_highlighted.png
new file mode 100644
index 000000000..3a21fcf24
Binary files /dev/null and b/src/main/resources/assets/minecraft/textures/gui/sprites/screen/options/clear_highlighted.png differ
